--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu können
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.25, 0.02, "");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "Taste Numpad 0: Info Abschalten");
		renderText(0.72, 0.86, 0.025, "- MF 3080 Info -");			
		renderText(0.72, 0.83, 0.02, "Taste Pos1: Rundumleuchte ein/aus");
		renderText(0.72, 0.79, 0.02, "Taste 6 Heckscheibe auf/zu");			
		renderText(0.72, 0.77, 0.02, "Taste Numpad 7: Tuer links auf/zu");
		renderText(0.72, 0.75, 0.02, "Taste Numpad 8: Tuer rechts auf/zu");
		renderText(0.72, 0.73, 0.02, "Taste Numpad 5: Frontlicht an/aus");
		renderText(0.72, 0.71, 0.02, "Taste Numpad 6: Hecklicht an/aus");
		renderText(0.72, 0.69, 0.02, "Taste F: Licht/Fernlicht an/aus");
		renderText(0.72, 0.67, 0.02, "Taste 9: RUL auf/einklappen");
		renderText(0.72, 0.65, 0.02, "Taste 5: Dachluke auf/zu");
		renderText(0.72, 0.63, 0.02, "Taste Numpad 1: Blinker Links");
		renderText(0.72, 0.61, 0.02, "Taste Numpad 2: Warnblinker");
		renderText(0.72, 0.59, 0.02, "Taste Numpad 3: Blinker Rechts");
		renderText(0.72, 0.55, 0.02, "by Agrarservice-SHS");
	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;




